## barrendero 1.1-1

=== Makefile ===
all:

install:
	cp barrendero ${DESTDIR}/usr/sbin/
	-chown root.root ${DESTDIR}/usr/sbin/barrendero
	mkdir -p ${DESTDIR}/var/spool/barrendero
	chmod 750 ${DESTDIR}/var/spool/barrendero
	-chown root.root ${DESTDIR}/var/spool/barrendero 
	mkdir -p ${DESTDIR}/etc/barrendero
	cp barrendero.conf ${DESTDIR}/etc/barrendero/
	-chown root.root ${DESTDIR}/etc/barrendero/barrendero.conf
	cp messages.* ${DESTDIR}/etc/barrendero/
	-chown root.root ${DESTDIR}/etc/barrendero/messages.*
	mkdir -p ${DESTDIR}/usr/share/man/man8
	cp barrendero.8 ${DESTDIR}/usr/share/man/man8


build:	

clean:

=== debian/changelog ===
barrendero (1.1-1) unstable; urgency=low

  * Correct permissions of folders with backup and deleted messages (Closes: #279163)
  * Moved manpage from chapter 1 to 8

 -- Eduardo Diaz Comellas <ediaz@debian.org>  Thu,  9 Dec 2004 14:00:57 +0100

barrendero (1.0-2) unstable; urgency=low

  * Updated the maintainer email address. (Closes: #254394)
    It seems that the old address is not working anymore
  * NMU fixes, (Closes: #187836, #203281, #124438)
    Thanks to Daniel Schepler <schepler@math.berkeley.edu> and
    Matt Zimmerman <mdz@debian.org>

 -- Eduardo Diaz Comellas <ediaz@debian.org>  Wed, 30 Aug 2004 00:45:02 +0200

barrendero (1.0-1.2) unstable; urgency=low

  * NMU, with maintainer's permission.
  * barrendero.1:
    + Detailed all options.
    + Spelling fixes.
    + Split this file into barrendero(1) and barrendero.conf(5).
  * barrendero:
    + Replaced "GNU license" with "GNU General Public License".
    + Added support for GNU long options.
    + Implemented `-h' (`--help').

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 22 Aug 2003 16:30:37 +0200

barrendero (1.0-1.1) unstable; urgency=low

  * NMU (two trivial RC bugs with one more than 4 months old).
  * debian/control:
    + Added a build-dependency on debhelper (Closes: #187836).
    + Set policy to 3.6.1.0
    + Uncapitalised short description (Developer's Reference 6.2.2) and removed
      the trailing period.
    + Spelling and grammar fixes in the long descriptions (Closes: #124438).
    + Applied a patch from Chris Butler to fix the installation process so that
      generated packages are not empty (Closes: #203281).
  * debian/rules:
    + Removed obsolete call to dh_suidregister.
    + Removed DH_COMPAT in favour of debian/compat.
  * debian/copyright:
    + Replaced "Author(s)" with "Author".
    + Added a link to the GPL's location on Debian systems.
  * debian/changelog:
    + Removed emacs variable definitions.
  * debian/docs:
    + Removed Changelog from the list, because debhelper does the job for us.
  * Major spelling fixes in all files.
  * barrendero:
    + Added a `-d' flag to specify a spool directory.
    + Got rid of the braindead "edit /usr/sbin/barrendero to get it to work"
      notice, and made `-d' or `-f' mandatory instead.
    + Implemented the `-f' flag to clean single folders.
    + General code cleanup.
  * barrendero.1:
    + Fixed the manpage layout.
    + Updated the `-d' and `-f' flags description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 22 Aug 2003 16:30:37 +0200

barrendero (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Eduardo Diaz Comellas <ediaz@tsc.uvigo.es>  Mon, 10 Apr 2000 00:27:40 +0200

=== debian/control ===
Source: barrendero
Section: mail
Priority: optional
Maintainer: Eduardo Diaz Comellas <ediaz@debian.org>
Build-Depends-Indep: debhelper (>= 4.0)
Standards-Version: 3.6.1.0

Package: barrendero
Architecture: all
Depends: ${perl:Depends}, libdate-manip-perl, libtimedate-perl
Description: delete messages on the spool dir depending on their age
 Barrendero is intended to limit the disk space wasted in the spool 
 directory. It deletes mail messages depending on their age, and has
 the ability to send warnings and reports to the users, to make full
 and partial backups, and to have different allowed ages on a per-user
 basis.
 .
 Warning and report messages are customizable and can be translated easily
 in order to make this package useful in any environment.
 .
 This way of handling mail has an advantage over the traditional 'quota'
 system: quotas make the end user lose new mail, whereas barrendero deletes 
 old mail, so that new mail is always available.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/barrendero

	touch install-stamp

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installman barrendero.8 barrendero.conf.5
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs Changelog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep 
.PHONY: build clean binary-indep binary install
